<?xml version="1.0" encoding="utf-8"?>
<!-- edited with XMLSpy v2016 rel. 2 sp1 (x64) (http://www.altova.com) by PostNL IT (PostNL Holding B.V.) -->
<!--


major/ minor versie:	0.1
datum creatie:			28-04-2017
datum akkoord:			
datum productie:		
gemaakt door			NM + TK
doelgroep					LSP

  	
     -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="urn:postnl/mail/CustomerOrderAssignedTask/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:me1="urn:postnl/mail/meta/1" xmlns:fi1="urn:postnl/mail/fields1" xmlns:ma1="urn:postnl/mail/manufacturingcomponents/1" xmlns:co2="urn:postnl/mail/components/2" xmlns:co4="urn:postnl/mail/components/4" targetNamespace="urn:postnl/mail/CustomerOrderAssignedTask/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/2" schemaLocation="../../Common/OAGI/Components/Components2.xsd"/>
	<xsd:import namespace="urn:postnl/mail/components/4" schemaLocation="../../Common/OAGI/Components/Components4.xsd"/>
	<xsd:import namespace="urn:postnl/mail/meta/1" schemaLocation="../../Common/OAGI/Components/Meta1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/manufacturingcomponents/1" schemaLocation="../../Common/OAGI/Components/ManufacturingComponents1.xsd"/>
	<xsd:element name="CustomerOrderAssignedTask" type="CustomerOrderAssignedTaskType">
		<xsd:annotation>
			<xsd:documentation>Diensten die PostNL uitvoert op een afgesproken locatie.
.	</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="CustomerOrderAssignedTaskType">
		<xsd:sequence>
			<xsd:element name="CustomerOrderHeader" type="CustomerOrderHeaderType" minOccurs="0"/>
			<xsd:element name="CustomerOrderLine" type="CustomerOrderLineType" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="CustomerOrderHeaderType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="co2:ConsumerParty" minOccurs="0"/>
					<xsd:element ref="co2:ProviderParty" minOccurs="0"/>
					<xsd:element ref="co2:BillToParty" minOccurs="0"/>
					<xsd:element ref="fi1:OrderUrgencyCode" minOccurs="0"/>
					<xsd:element ref="co1:ContractsReferences" minOccurs="0" maxOccurs="unbounded"/>
					<xsd:element ref="fi1:TotalInvoiceAmount" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="CustomerOrderLineType">
		<xsd:sequence>
			<xsd:element ref="fi1:ID" minOccurs="0"/>
			<xsd:element ref="co2:NotifyingParty" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co4:Party" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:CommunicationLanguage" minOccurs="0"/>
			<xsd:element ref="co1:SalesOrderReference" minOccurs="0"/>
			
			<xsd:element ref="co2:CommercialProduct" minOccurs="0"/>
			
			<xsd:element ref="co1:AgreementSchedule" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:AssignedTaskEvent" minOccurs="0"/>
			<xsd:element ref="co1:DeliveryTerms" minOccurs="0"/>
			<xsd:element ref="co1:AllowanceChargeServiceProvider" minOccurs="0"/>
			<xsd:element ref="fi1:ServiceDuration" minOccurs="0"/>
			<xsd:element ref="fi1:WaybillRemarks" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:SpecialServiceInstructions" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
